GET
https://api.cryptohopper.com/v1/market/signals/{signal_id}/distribution
Returns how many buy signals of a signal provider in the past 7 days reached each highest-profit range.
OAuth scope:
read About scopes
Example request
curl "https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/distribution" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/distribution', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/distribution",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/distribution');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
signal_id |
string | Required | Signal provider ID. |
Response
{
"data": {
"<= 0%": 3,
"0% - 1%": 10,
"1% - 2%": 8,
"2% - 3%": 5,
"3% - 4%": 2,
"4% - 5%": 1,
"5% - 6%": 0,
"6% - 7%": 0,
"7% - 8%": 1,
"8% - 9%": 0,
"9% - 10%": 0,
"10% +": 1
}
}